package hu.elte.korszeru;

import java.io.IOException;

import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.MapReduceBase;
import org.apache.hadoop.mapred.Mapper;
import org.apache.hadoop.mapred.OutputCollector;
import org.apache.hadoop.mapred.Reporter;

public class Feladat2Map extends MapReduceBase implements Mapper<LongWritable, Text, Text, Text> {

	@Override
	public void map(LongWritable key, Text value,
			OutputCollector<Text, Text> context, Reporter arg3)
			throws IOException {
		
		String[] s = value.toString().split(",");
		
		context.collect(new Text(s[3]),new Text(s[1]));
		
		/*
		 * tweet
			RUN_ID				0
			TWEET_ID			1
			USER_ID				2
			MENTIONED_USER_ID	3
		*/
	}

}
